<template>
  <div class="bbsl-common-page">
    <div class="bbsl-table-search">
      <el-form v-model="queryParam" label-width="auto">
        <el-row :gutter="10">
          <el-col :span="5">
            <el-form-item label="排查方案名称">
              <el-select v-model="querys[3].value" clearable filterable>
                <el-option v-for="item in programmeData" :key="item.id" :label="item.schemeName" :value="item.pkVal" />
              </el-select>
            </el-form-item>
          </el-col>
          <el-col :span="5">
            <el-form-item label="受检单位">
              <el-select v-model="querys[0].value" clearable filterable>
                <el-option v-for="item in unitData" :key="item.id" :label="item.unitName" :value="item.id" />
              </el-select>
            </el-form-item>
          </el-col>
          <el-col :span="5">
            <el-form-item label="受检单位类别">
              <el-select v-model="querys[1].value" clearable>
                <el-option v-for="item in dwlxList" :key="item.value" :label="item.name" :value="item.value" />
              </el-select>
            </el-form-item>
          </el-col>
          <el-col :span="5">
            <el-form-item label="状态">
              <el-select v-model="querys[2].value" clearable>
                <el-option v-for="item in yhztList" :key="item.value" :label="item.name" :value="item.value" />
              </el-select>
            </el-form-item>
          </el-col>
          <el-col :span="4">
            <el-button type="primary" icon="el-icon-search" @click="handleSearch">搜索</el-button>
            <el-button icon="el-icon-refresh" @click="handleReset">重置</el-button>
          </el-col>
        </el-row>
        <!-- <el-form-item label="隐患类型">
          <el-select v-model="querys[2].value" clearable>
            <el-option
              v-for="item in aqyhlxList"
              :key="item.value"
              :label="item.name"
              :value="item.value"
            />
          </el-select>
        </el-form-item>-->
        <!-- <div class="more-searches" @click="isShow = !isShow">高级搜索</div> -->
        <transition name="from">
          <div class="more-search" v-show="isShow">
            <el-form-item label="排查时间">
              <el-date-picker v-model="querys[4].value" clearable type="daterange" range-separator="至"
                start-placeholder="开始日期" end-placeholder="结束日期" value-format="yyyy-MM-dd"></el-date-picker>
            </el-form-item>
          </div>
        </transition>
      </el-form>
    </div>
    <div ref="contentPanel" class="bbsl-table-content">
      <div ref="btnPanel" class="bbsl-btn-content">
        <!-- <el-button icon="el-icon-plus" type="primary" @click="handleAdd"
          >新增</el-button
        >
        <el-popconfirm title="确定删除选中数据吗？" @confirm="handleDelete">
          <el-button
            slot="reference"
            :disabled="!multipleSelection.length"
            icon="el-icon-delete"
            type="danger"
            style="margin-left: 10px"
            >删除</el-button
          >
        </el-popconfirm>-->
      </div>
      <el-table ref="multipleSelection" v-loading="loading" border size="mini" :data="tableData"
        :style="{ width: '100%' }" :max-height="tableMaxHeight" :cell-style="{ 'text-align': 'center' }"
        :header-cell-style="{ 'text-align': 'center' }" @row-dblclick="handleUpdate"
        @selection-change="handleSelectionChange">
        <!-- <el-table-column type="selection" width="55" /> -->
        <el-table-column type="index" width="55" label="序号" />
        <el-table-column prop="checkDate" label="排查时间" min-width="110" show-overflow-tooltip />
        <el-table-column prop="recordName" label="排查记录名称" min-width="220" show-overflow-tooltip />
        <el-table-column prop="unitName" label="受检单位" min-width="200" show-overflow-tooltip />
        <el-table-column prop="unitTypeName" label="受检单位类别" min-width="130" show-overflow-tooltip />
        <el-table-column prop="unitUsername" label="负责人" min-width="100" show-overflow-tooltip />
        <el-table-column prop="unitUserphone" label="联系电话" min-width="110" show-overflow-tooltip />
        <el-table-column prop="statusName" label="状态" min-width="110" show-overflow-tooltip>
          <template slot-scope="scope">
            <el-tag v-if="scope.row.statusName === '待排查'" type="warning" effect="dark">{{ scope.row.statusName
              }}</el-tag>
            <el-tag v-if="scope.row.statusName === '整改中'" type="danger" effect="dark">{{ scope.row.statusName
              }}</el-tag>
            <el-tag v-if="scope.row.statusName === '已完成'" type="success" effect="dark">{{ scope.row.statusName
              }}</el-tag>
          </template>
        </el-table-column>
        <el-table-column prop="leadUsername" label="带队领导姓名" min-width="110" show-overflow-tooltip />
        <el-table-column prop="reformUsername" label="整改负责人" min-width="110" show-overflow-tooltip />
        <el-table-column prop="checkDate" label="检查时间" min-width="110" show-overflow-tooltip />
        <el-table-column prop="completeDate" label="最终整改完成时间" min-width="140" show-overflow-tooltip />
        <!-- <el-button @click="securityCheck(scope.row)" size="small">安全隐患</el-button> -->
        <!-- <el-table-column label="操作" min-width="100" fixed="right">
          <template slot-scope="scope">
            
            <el-button @click="handelReport(scope.row)" size="small">上报</el-button>
          </template>
        </el-table-column> -->
      </el-table>
      <el-pagination ref="paginationPanel" align="right" background class="bbsl-pagination"
        :current-page="queryParam.pageBean.page" :page-sizes="[20, 30, 40, 50]"
        :page-size="queryParam.pageBean.pageSize" layout="total, sizes, prev, pager, next, jumper" :total="total"
        @size-change="handleSizeChange" @current-change="handleCurrentChange" />
    </div>
    <CmgtSaftyDangerCheckrecordFormDialog ref="formModal" />
  </div>
</template>

<script>
import { TableMixin } from '@/mixins/tableMixin'
import dictUtils from '@/components/dict/DictSelectUtils.js'
import dictContracts from '@/components/dict/DictSelectUtils.js'
import CmgtSaftyDangerCheckrecordApi from '@/views/Manage/saftyDanger/api/CmgtSaftyDangerCheckrecordApi'
import CmgtSaftyDangerCheckrecordFormDialog from '@/views/Manage/saftyDanger/components/CmgtSaftyDangerCheckrecordFormDialog'
import CmgtSaftyDangerCheckplanApi from '@/views/Manage/saftyDanger/api/CmgtSaftyDangerCheckplanApi'
import nineLittlePlaceApi from '@/views/Manage/saftyDanger/api/nineLittlePlaceApi'
import programApi from '@/views/Manage/saftyDanger/api/programApi'
export default {
  name: 'CmgtSaftyDangerCheckrecordManage',
  components: {
    CmgtSaftyDangerCheckrecordFormDialog
  },
  mixins: [TableMixin],
  data() {
    return {
      unitData: [],
      programmeData: [],
      url: {
        delete: '/manager/cmgtSaftyDangerCheckrecord/delete'
      },
      querys: [
        {
          group: 'main',
          operation: 'EQUAL',
          parentGroup: '',
          property: 'unit_id_',
          relation: 'AND',
          value: ''
        },
        {
          group: 'main',
          operation: 'EQUAL',
          parentGroup: '',
          property: 'unit_type_',
          relation: 'AND',
          value: ''
        },
        {
          group: 'main',
          operation: 'EQUAL',
          parentGroup: '',
          property: 'status',
          relation: 'AND',
          value: ''
        },
        {
          group: 'main',
          operation: 'EQUAL',
          parentGroup: '',
          property: 'checkschemeId',
          relation: 'AND',
          value: ''
        },
        {
          group: 'main',
          operation: 'BETWEEN',
          parentGroup: '',
          property: 'checkDate',
          relation: 'AND',
          value: ''
        }
      ],
      StshowFormDias: false,
      units: [],
      types: [],
      sorter: [
        {
          direction: 'DESC',
          property: 'check_Date_'
        }
      ],
      isShow: false
    }
  },
  created() {
    this.aqyhlxList = dictContracts.getDictItemsFromCache('cmgt_aqyhlx')
    this.dwlxList = dictContracts.getDictItemsFromCache('zhgl-dwlx')
    this.yhztList = dictContracts.getDictItemsFromCache('aqjczt')
    this.getUnit()
    this.getprogramme()
  },
  mounted() { },
  methods: {
    // 隐患上报
    handelReport({ id }) {

    },
    // 获取方案列表
    getprogramme() {
      programApi.loadCmgtSaftyDangerUnit(
        {
          pageBean: {
            pageSize: -1,
            page: 1
          },
          querys: [
            {
              group: 'main',
              operation: 'EQUAL',
              parentGroup: '',
              property: 'pubState',
              relation: 'AND',
              value: 2
            }
          ]
        },
        res => {
          this.programmeData = res.rows
        }
      )
    },
    //获取单位
    getUnit() {
      nineLittlePlaceApi.loadCmgtSaftyDangerUnit(
        {
          pageBean: {
            pageSize: -1,
            page: 1
          }
        }).then(res => {
          //   this.total = res.total
          this.unitData = res.data.rows
        }
        )
    },
    // 重置
    clearQuerys() {
      this.querys[0].value = ''
      this.querys[1].value = ''
      this.querys[2].value = ''
      this.querys[3].value = ''
      this.querys[4].value = ''
    },
    // 获取list
    loadData(page) {
      if (page) {
        this.queryParam.pageBean.page = page
      }
      this.loading = true
      this.tableData = []
      this.queryParam.querys = []
      this.queryParam.sorter = this.sorter
      if (this.querys[0].value) {
        this.queryParam.querys.push(this.querys[0])
      }
      if (this.querys[1].value) {
        this.queryParam.querys.push(this.querys[1])
      }
      if (this.querys[2].value) {
        this.queryParam.querys.push(this.querys[2])
      }
      if (this.querys[3].value) {
        this.queryParam.querys.push(this.querys[3])
      }
      if (this.querys[4].value) {
        this.queryParam.querys.push(this.querys[4])
      }

      CmgtSaftyDangerCheckrecordApi.loadCmgtSaftyDangerCheckrecord(
        this.queryParam,
        res => {
          this.total = res.total
          this.tableData = res.rows
          this.tableData.forEach(item => {
            this.dwlxList.forEach(val => {
              if (item.unitType == val.value) {
                item['unitTypeName'] = val.name
              }
            })
            this.aqyhlxList.forEach(val => {
              if (item.dangerType == val.value) {
                item['dangerTypeName'] = val.name
              }
            })
            this.yhztList.forEach(val => {
              if (item.status == val.value) {
                item['statusName'] = val.name
              }
            })
          })
          this.$set(this.tableData)
          this.loading = false
        }
      )
    },
    handleAdd() {
      // 增加
      this.$refs.formModal.add()
    },
    handleFc() {
      // 复查按钮
      if (this.multipleSelection.length != 1) {
        this.$message({
          message: '请选择一条需要修改的数据！',
          type: 'warning'
        })
      } else {
        var row = null
        this.tableData.forEach(item => {
          if (item.id == this.multipleSelection[0]) {
            row = item
          }
        })
        if (row.result === '1') {
          this.$refs.formModal.Update(row, 2)
        } else {
          this.$message({
            message: '该排查记录不存在隐患无需填写复查信息！',
            type: 'warning'
          })
        }
      }
    },
    // 安全检查
    securityCheck(row) {
      this.$refs.formModal.Update(row, 1, 0)
    },
    // 修改
    handleUpdate(row, column, cell, event) {
      this.$refs.formModal.Update(row, 1, 0)
    },
    closeStshowForm() {
      this.StshowFormDias = false
    },
    formatUnitName(row, column, cellValue, index) {
      var obj = this.units.find(function (item) {
        if (item.id === row.recipient) {
          //
          return item
        }
      })

      if (obj !== undefined) {
        return obj.unitName
      } else {
        return ''
      }
    },
    handleCilck(row) { }
  }
}
</script>
<style lang="scss" scoped>
.type-tag {
  margin: 0 2px;
}

</style>
